/*************************************
* Zeus CMD - C++ Tutorial 19 : Scope *
* By Grant James (ZEUS)              *
* http://www.zeuscmd.com             *
*************************************/
#include <iostream>
#include <stdlib.h>

using namespace std;

// Global Scope
//------------------
int x = 5;

int main()
{
	int y = 10;
	int z = 3;

	cout << "global x before block : " 
		<< x << endl;

	// Code block
	//------------
	{
		int x = 4;

		cout << "x in block : " 
			<< x << endl;

		x += 5;

		cout << "inner x after add : "
			<< x << endl;

		cout << "global x in block : " 
			<< ::x << endl;

		y += 10;

		cout << "y after add : "
			<< y << endl;
	}

	cout << "y after block : "
		<< y << endl;

	cout << "x after block : "
		<< x << endl;

	system("pause");

	return 0;
}
